## gate.util
Interface FeatureBearer

All Known Subinterfaces:
  Annotation, AnnotationVisualResource, Controller, Corpus, DatabaseDataStore, DataStore, Document, LanguageAnalyser, LanguageResource, ProcessingResource, Resource, VisualResource

All Known Implementing Classes:
  AbstractFeatureBearer, AnnotationImpl, UnrestrictedAnnotationEditor.MyCustomFeatureBearer

public interface FeatureBearer

Classes that have features.

Method Summary
`FeatureMap` `getFeatures()` Get the feature set
`void` `setFeatures(FeatureMap features)` Set the feature set

Method Detail

### getFeatures

    public FeatureMap getFeatures()

  Get the feature set

### setFeatures

    public void setFeatures(FeatureMap features)

  Set the feature set